Skip to main content

Update site attributes for items

PUT /v1/items/{id}/sites/{siteCode}

Updates the site/store-level attributes, such as availability and price, for a menu item that exists in the FoodStorm OMS.

For more information, see Sites.

Security​

NameInDescription
AuthorizationheaderStandard Authorization header using the Bearer scheme. Example: "bearer {token}"

Parameters​

NameInTypeRequiredDescription
idpathstringRequired

A unique identifier for this menu item, defined by the retailer.

siteCodepathstringRequired

The code of the site this data relates to.

Request​

FieldTypeRequiredDescription
availablebooleanRequired

Whether the item is available at this site.

pricenumberRequired

The price of the item at this site.

taxHashRequired

The tax details for the adjustment.

Tax Object​

FieldTypeRequiredDescription
sales_taxnumberRequired

The sales tax for the item represented as a decimal percentage, such as 0.1 for 10%.

Request Examples​

curl --request PUT \
--url 'https://connect.instacart.com/v1/items/{id}/sites/{siteCode}' \
--header 'Accept: application/json' \
--header 'Authorization: string' \
--header 'Content-Type: application/json' \
--data '{
"available": true,
"price": 1,
"tax": {
"sales_tax": 1
}
}'

Response Examples​

200 Success

{
// Empty
}

4XX Errors

Error responses return either a single error or multiple errors.

HTTP CodeCauseError MessageError CodeError Meta
400Item Category Not Found""""Not applicable
404Item not found""""Not applicable